local L = LibStub("AceLocale-3.0"):GetLocale("Grid2Options")

--[[
local prev_AddSetupStatusesOptions = Grid2Options.AddSetupStatusesOptions
function Grid2Options:AddSetupStatusesOptions(...)
	prev_AddSetupStatusesOptions(self, ...)
	local setup, reset = ...
--]]


local function AddSetupStatusesOptions(setup, reset)
	local status, options
print("Grid2StatusResOptions:AddSetupStatusesOptions")
	status = Grid2.statuses["resurrection-incoming"]
	if (status) then
		options = Grid2Options:MakeStatusColorOption(status)
		Grid2Options:AddElement("status",  status, options)
print("Grid2StatusResOptions:AddSetupStatusesOptions resurrection-incoming")
	end

	status = Grid2.statuses["resurrected"]
	if (status) then
		options = Grid2Options:MakeStatusColorOption(status)
		Grid2Options:AddElement("status",  status, options)
	end

	status = Grid2.statuses["soulstone"]
	if (status) then
		options = Grid2Options:MakeStatusColorOption(status)
		Grid2Options:AddElement("status",  status, options)
	end
end

AddSetupStatusesOptions(Grid2.db.profile.setup)